; Czech language environment

   (set-language-environment "czech")

; Console and X Window System adjustment

   (if window-system
      (setq clipboard-coding-system 'latin-2)
     (set-terminal-coding-system 'latin-2))

   (set-selection-coding-system 'iso-8859-2)

; ISO-8859-2 encoding for all processes

   (setq process-coding-system-alist '((".*" . iso-8859-2)))

; Czech "qwerty" keyboard

   ; (setq default-input-method "czech-qwerty")

; Czech programmers' keyboards

   ; (setq default-input-method "czech-prog-1")
   ; (setq default-input-method "czech-prog-2")
   ; (setq default-input-method "czech-prog-3")

; Pause switches between keyboards

   ; (global-set-key [pause] 'toggle-input-method)
   ; (define-key isearch-mode-map [pause] 'isearch-toggle-input-method)

; Czech calendar

   (require 'czech-calendar)

; Recoding of sequences

   (autoload 'sr-recode-to-many "string-recode" "Recode text region to different text." t nil)
   (autoload 'sr-recode-from-many "string-recode" "Recode text region from different text." t nil)

; Tildify

   (autoload 'tildify-buffer "tildify" "Tildify buffer." t nil)
   (autoload 'tildify-region "tildify" "Tildify region." t nil)
